Subject: Re: I don't want the .git directory next to my code.

From: Sam Vilain <[email-masked]>
Date: Thu, 17 Jan 2008 14:42:52 +1300

Mike wrote:
> Thanks but this isn't sufficient. If we have one directory of our web 
> root in a git repository, say docroot/php, and we tar up docroot, it 
> will include php/.git.  We don't want that.  We would have to go out of 
> our way to avoid the .git directory.  The point is, we don't want 
> anything in docroot that shouldn't be made live.

It sounds like you want a tool more like Capistrano, which can use git,
rather than just pushing files around with git.

Sam.